/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao;

import com.rjconsultores.ventaboletos.entidad.Estacion;
import com.rjconsultores.ventaboletos.entidad.PuntoVenta;
import java.util.List;

/**
 *
 * @author Administrador
 */
public interface EstacionDAO extends GenericDAO<Estacion, Integer> {

    public List<Estacion> buscar(String descEstacion, String descMac,
            Long nunCaja, PuntoVenta pv);
    
    public List<Estacion> buscar(String descMac);
    
    /**
     * Hace la bsqueda de las estciones ativas por el numCaja y puntoVenta
     * 
     * @param numCaja
     * @param puntoVenta
     * @return
     */
    public List<Estacion> buscar(Long numCaja,PuntoVenta puntoVenta);
}
