/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao;

import com.rjconsultores.ventaboletos.entidad.ClaseServicio;
import com.rjconsultores.ventaboletos.entidad.Marca;
import com.rjconsultores.ventaboletos.entidad.Moneda;
import com.rjconsultores.ventaboletos.entidad.Parada;
import com.rjconsultores.ventaboletos.entidad.Plaza;
import com.rjconsultores.ventaboletos.entidad.TarifaMinima;
import java.math.BigDecimal;
import java.util.List;

/**
 *
 * @author rodrigo
 */
public interface TarifaMinimaDAO extends GenericDAO<TarifaMinima, Integer> {

    public List<TarifaMinima> pesquisarPlaza(Marca marca, Parada origem, Parada destino,
            ClaseServicio claseServicio, Plaza plaza);

    public List<TarifaMinima> pesquisar(Marca marca, Parada origem, Parada destino,
            ClaseServicio claseServicio, Moneda moneda);

    public List<TarifaMinima> buscarPorPlaza(Plaza plaza);

    public List<TarifaMinima> buscarPorPlazaMoneda(Plaza plaza, Moneda moneda);

    public List<TarifaMinima> pesquisar(BigDecimal valor, Moneda moneda,
            Plaza plaza, Marca marca, Parada origem, Parada destino,
            ClaseServicio claseServicio);

    public List<TarifaMinima> pesquisarOrigemDestinoTodos(Marca marca, Parada origem,Parada destino,ClaseServicio claseServicio, Moneda moneda);

    public List<TarifaMinima> buscarPorMarcaMoneda(Marca marca, Moneda moneda);

    public List<TarifaMinima> buscarPorClaseServicioMoneda(ClaseServicio claseServicio,
            Moneda moneda);
}
