/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao.hibernate;

import com.rjconsultores.ventaboletos.dao.MarcaClaseServicioDAO;
import com.rjconsultores.ventaboletos.entidad.ClaseServicio;
import com.rjconsultores.ventaboletos.entidad.Marca;
import com.rjconsultores.ventaboletos.entidad.MarcaClaseServicio;
import com.rjconsultores.ventaboletos.entidad.MarcaClaseServicioPK;
import java.util.List;
import org.hibernate.Criteria;
import org.hibernate.Query;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

/**
 *
 * @author Administrador
 */
@Repository("marcaClaseServicioDAO")
public class MarcaClaseServicioHibernateDAO
        extends GenericHibernateDAO<MarcaClaseServicio, MarcaClaseServicioPK>
        implements MarcaClaseServicioDAO {

    @Autowired
    public MarcaClaseServicioHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    @Override
    public List<MarcaClaseServicio> obtenerTodos() {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq("activo", Boolean.TRUE));

        return c.list();
    }

    public List<Marca> buscar(ClaseServicio clase) {
        Query q = getSession().createQuery("select mc.marcaClaseservicioPK.marca from MarcaClaseServicio mc where mc.activo = 1 and mc.marcaClaseservicioPK.claseservicio.claseservicioId = " + clase.getClaseservicioId());

        return q.list();
    }
}
