package com.rjconsultores.ventaboletos.dao.sqlbuilder;

import org.apache.log4j.Logger;

import com.rjconsultores.ventaboletos.dao.sqlbuilder.impl.SQLBuilderOracle;
import com.rjconsultores.ventaboletos.dao.util.DBUtil;

public class SQLFactory {
	private static Logger log = Logger.getLogger(SQLFactory.class);

	public SQLBuilder getBuilder() {
		if (DBUtil.getInstance().isOracle()) {
			return new SQLBuilderOracle();
		}
		
		throw new RuntimeException("No foi localizado a classe que traduz SQL Nativos");
	}
}
