/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service;

import com.rjconsultores.ventaboletos.entidad.Ciudad;
import com.rjconsultores.ventaboletos.entidad.Nodo;
import com.rjconsultores.ventaboletos.entidad.Parada;
import com.rjconsultores.ventaboletos.entidad.TipoParada;
import com.rjconsultores.ventaboletos.exception.BusinessException;

import java.util.List;

/**
 * 
 * @author Administrador
 */
public interface ParadaService {

	public Parada obtenerID(Integer id);
	
	public Parada suscribirActualizar(Parada entidad) throws BusinessException;

	public void borrar(Parada entidad);

	public List<Parada> buscar(String descparada, String cveparada, Ciudad ciudad,
			TipoParada tipoParada, Nodo nodo);

	public List<Parada> buscarCVE(String cveparada);

	public List<Parada> buscar(String descparada);

	public List<Parada> buscaLike(String descparada);
}
